<?php

class AnwTemplateDefault_action_export extends AnwTemplateOverride_global
{
	function begin($sFormAction, $sFilters)
	{
		$sExportLabel = AnwUtils::escapeQuote($this->t_("export_submit"));
		
		$HTML = <<<EOF

	<h1>{$this->t_('title')}</h1>
	
	$sFilters
	
	<div class="explain">{$this->t_('explain')}</div>
	
	<form action="$sFormAction" method="post">
	
	<input type="submit" value="{$sExportLabel}"/>
	
	<div style="display:inline">
		<a href="#" onclick="AnwUtils.chkall('chkexport',$('exportpages')); return false;">{$this->g_('in_chkall')}</a> 
		<a href="#" onclick="AnwUtils.chknone('chkexport',$('exportpages')); return false;">{$this->g_('in_chknone')}</a>
	</div>
	<table id="exportpages" class="tablepages">
		<tr class="line0">
			<th>{$this->g_('page_name')}</th>
			<th>{$this->g_('page_progress')}</th>
			<th>{$this->g_('page_contentclass')}</th>
			<th>{$this->g_('page_time')}</th>
		</tr>
EOF;
		return $HTML;
	}
	
	function rowGroupOpen()
	{
		$HTML = <<<EOF

	<li style="margin:10px 0px">
		<ul>
EOF;
		return $HTML;
	}
	
	function rowGroupClose()
	{
		$HTML = <<<EOF

		</ul>
	</li>
EOF;
		return $HTML;
	}
	
	function rowTranslation($oPage, $bExportDisabled, $bNoticePhp, $bNoticeAcl)
	{
		static $n = 0;
		$n = ($n%2)+1;
		$sCss = 'line'.$n;
		
		$sTime = Anwi18n::dateTime($oPage->getTime());
		$nPageId = $oPage->getId();
		$sContentClass = $oPage->getPageGroup()->getContentClass()->getLabel();
		
		if ($oPage->isTranslated())
		{
			$sUntranslated = $this->g_("translation_complete");
			$sColor = 'green';
		}
		else
		{
			$nTranslatedPercent = $oPage->getTranslatedPercent();
			$sUntranslated = $this->g_("translation_progress",array("percent"=>$nTranslatedPercent));
			if ($nTranslatedPercent < 25)
			{
				$sColor = 'red';
			}
			else
			{
				$sColor = 'orange';
			}
		}
		
		$sDisabled = $bExportDisabled ? ' disabled="disabled"' : "";
		$sNoticePhp = $bNoticePhp ? $this->drawNoticeIcon($this->t_("notice_php")) : "";
		$sNoticeAcl = $bNoticeAcl ? $this->drawNoticeIcon($this->t_("notice_acl")) : "";
		
		$sImgFlag = Anwi18n::imgFlag($oPage->getLang());
		
		$HTML = <<<EOF

		<tr class="$sCss">
			<td class="pagename">
				<input type="checkbox" name="exportpages[]" class="chkexport" value="$nPageId" id="exportpages{$nPageId}"{$sDisabled}/>
				<label for="exportpages{$nPageId}">{$sImgFlag} {$oPage->getName()}</label> {$sNoticePhp} {$sNoticeAcl}
			</td>
			<td class="pageprogress"><span style="color:$sColor">$sUntranslated</span></td>
			<td class="pagecontentclass">$sContentClass</td>
			<td class="pagetime">$sTime</td>
		</tr>
EOF;
		return $HTML;
	}
	
	function end()
	{
		$HTML = <<<EOF

	</table>
	</form>
EOF;
		return $HTML;
	}
}

?>